Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Class DateFormatSymbols

    java.lang.Object
      |
      +--java.text.DateFormatSymbols

All Implemented Interfaces:
  Cloneable, Serializable

public class DateFormatSymbols
extends Object
implements Serializable, Cloneable

`DateFormatSymbols` is a public class for encapsulating localizable date-time formatting data, such as the names of the months, the names of the days of the week, and the time zone data. `DateFormat` and `SimpleDateFormat` both use `DateFormatSymbols` to encapsulate this information.

Typically you shouldn't use `DateFormatSymbols` directly. Rather, you are encouraged to create a date-time formatter with the `DateFormat` class's factory methods: `getTimeInstance`, `getDateInstance`, or `getDateTimeInstance`. These methods automatically create a `DateFormatSymbols` for the formatter so that you don't have to. After the formatter is created, you may modify its format pattern using the `setPattern` method. For more information about creating formatters using `DateFormat`'s factory methods, see `DateFormat`.

If you decide to create a date-time formatter with a specific format pattern for a specific locale, you can do so with:

>      new SimpleDateFormat(aPattern, new DateFormatSymbols(aLocale)).

`DateFormatSymbols` objects are clonable. When you obtain a `DateFormatSymbols` object, feel free to modify the date-time formatting data. For instance, you can replace the localized date-time format pattern characters with the ones that you feel easy to remember. Or you can change the representative cities to your favorite ones.

New `DateFormatSymbols` subclasses may be added to support `SimpleDateFormat` for date-time formatting for additional locales.

See Also:
  `DateFormat`, `SimpleDateFormat`, `SimpleTimeZone`, Serialized Form

Constructor Summary
`DateFormatSymbols()` Construct a DateFormatSymbols object by loading format data from resources for the default locale.
`DateFormatSymbols(Locale locale)` Construct a DateFormatSymbols object by loading format data from resources for the given locale.

Method Summary
`Object` | `clone()` Overrides Cloneable
`boolean` | `equals(Object obj)` Override equals
`String[]` | `getAmPmStrings()` Gets ampm strings.
`String[]` | `getEras()` Gets era strings.
`String` | `getLocalPatternChars()` Gets localized date-time pattern characters.
`String[]` | `getMonths()` Gets month strings.
`String[]` | `getShortMonths()` Gets short month strings.
`String[]` | `getShortWeekdays()` Gets short weekday strings.
`String[]` | `getWeekdays()` Gets weekday strings.
`String[][]` | `getZoneStrings()` Gets timezone strings.
`int` | `hashCode()` Override hashCode.
`void` | `setAmPmStrings(String[] newAmpms)` Sets ampm strings.
`void` | `setEras(String[] newEras)` Sets era strings.
`void` | `setLocalPatternChars(String newLocalPatternChars)` Sets localized date-time pattern characters.
`void` | `setMonths(String[] newMonths)` Sets month strings.
`void` | `setShortMonths(String[] newShortMonths)` Sets short month strings.
`void` | `setShortWeekdays(String[] newShortWeekdays)` Sets short weekday strings.
`void` | `setWeekdays(String[] newWeekdays)` Sets weekday strings.
`void` | `setZoneStrings(String[][] newZoneStrings)` Sets timezone strings.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFormatSymbols

    public DateFormatSymbols()

  Construct a DateFormatSymbols object by loading format data from resources for the default locale.
  Throws:
    `MissingResourceException` - if the resources for the default locale cannot be found or cannot be loaded.

### DateFormatSymbols

    public DateFormatSymbols(Locale locale)

  Construct a DateFormatSymbols object by loading format data from resources for the given locale.
  Throws:
    `MissingResourceException` - if the resources for the specified locale cannot be found or cannot be loaded.

Method Detail

### getEras

    public String[] getEras()

  Gets era strings. For example: "AD" and "BC".
  Returns:
    the era strings.

### setEras

    public void setEras(String[] newEras)

  Sets era strings. For example: "AD" and "BC".
  Parameters:
    `newEras` - the new era strings.

### getMonths

    public String[] getMonths()

  Gets month strings. For example: "January", "February", etc.
  Returns:
    the month strings.

### setMonths

    public void setMonths(String[] newMonths)

  Sets month strings. For example: "January", "February", etc.
  Parameters:
    `newMonths` - the new month strings.

### getShortMonths

    public String[] getShortMonths()

  Gets short month strings. For example: "Jan", "Feb", etc.
  Returns:
    the short month strings.

### setShortMonths

    public void setShortMonths(String[] newShortMonths)

  Sets short month strings. For example: "Jan", "Feb", etc.
  Parameters:
    `newShortMonths` - the new short month strings.

### getWeekdays

    public String[] getWeekdays()

  Gets weekday strings. For example: "Sunday", "Monday", etc.
  Returns:
    the weekday strings. Use `Calendar.SUNDAY`, `Calendar.MONDAY`, etc. to index the result array.

### setWeekdays

    public void setWeekdays(String[] newWeekdays)

  Sets weekday strings. For example: "Sunday", "Monday", etc.
  Parameters:
    `newWeekdays` - the new weekday strings. The array should be indexed by `Calendar.SUNDAY`, `Calendar.MONDAY`, etc.

### getShortWeekdays

    public String[] getShortWeekdays()

  Gets short weekday strings. For example: "Sun", "Mon", etc.
  Returns:
    the short weekday strings. Use `Calendar.SUNDAY`, `Calendar.MONDAY`, etc. to index the result array.

### setShortWeekdays

    public void setShortWeekdays(String[] newShortWeekdays)

  Sets short weekday strings. For example: "Sun", "Mon", etc.
  Parameters:
    `newShortWeekdays` - the new short weekday strings. The array should be indexed by `Calendar.SUNDAY`, `Calendar.MONDAY`, etc.

### getAmPmStrings

    public String[] getAmPmStrings()

  Gets ampm strings. For example: "AM" and "PM".
  Returns:
    the weekday strings.

### setAmPmStrings

    public void setAmPmStrings(String[] newAmpms)

  Sets ampm strings. For example: "AM" and "PM".
  Parameters:
    `newAmpms` - the new ampm strings.

### getZoneStrings

    public String[][] getZoneStrings()

  Gets timezone strings.
  Returns:
    the timezone strings.

### setZoneStrings

    public void setZoneStrings(String[][] newZoneStrings)

  Sets timezone strings.
  Parameters:
    `newZoneStrings` - the new timezone strings.

### getLocalPatternChars

    public String getLocalPatternChars()

  Gets localized date-time pattern characters. For example: 'u', 't', etc.
  Returns:
    the localized date-time pattern characters.

### setLocalPatternChars

    public void setLocalPatternChars(String newLocalPatternChars)

  Sets localized date-time pattern characters. For example: 'u', 't', etc.
  Parameters:
    `newLocalPatternChars` - the new localized date-time pattern characters.

### clone

    public Object clone()

  Overrides Cloneable
  Overrides:
    `clone` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `CloneNotSupportedException` - if the object's class does not support the `Cloneable` interface. Subclasses that override the `clone` method can also throw this exception to indicate that an instance cannot be cloned.
    `OutOfMemoryError` - if there is not enough memory.
  See Also:
    `Cloneable`

### hashCode

    public int hashCode()

  Override hashCode. Generates a hash code for the DateFormatSymbols object.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Override equals
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.